<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Sisesta andmed</title>
</head>
<body>
    <h1>Palun täida väljad</h1>

    <form action="https://frogaccelerator.com/submit-app/" method="post" enctype="multipart/form-data">
        Eesnimi: <input type="text" name="firstName" required minlength="2" maxlength="25" pattern="^[\D]+$"><br><br>
        Perenimi: <input type="text" name="lastName" required minlength="2" maxlength="25"><br><br>
        Sugu: 
        <select name="gender" required>
            <option value=""></option>
            <option value="F">Naine</option>
            <option value="M">Mees</option>
        </select>
        <br><br>
        Sünniaeg:
        <input type="date" name="dateOfBirth" required>
        <br><br>
        Perekonnaseis: <br>
        <input type="radio" name="maritalStatus" value="single" id="maritalSatusSingle" required><label for="maritalSatusSingle">vallaline</label> <br>
        <input type="radio" name="maritalStatus" value="married" id="maritalStatusMarried"><label for="maritalStatusMarried">abielus</label><br>
        <input type="radio" name="maritalStatus" value="committed" id="maritalStatusCommitted"><label for="maritalStatusCommitted">vabaabielus</label><br>
        <br>
        <!-- See on kommentaar, mida kasutaja ei näe -->
        <!-- Brauser ignoreerib mind! -->
        E-post: <input type="email" name="email" required><br><br>
        Parool: <input type="password" name="password" required><br><br>
        Hobid: 
        <br>
        <input type="checkbox" name="hobbies[]" value="Jooksmine" id="xyz"><label for="xyz">Jooksmine</label><br>
        <input type="checkbox" name="hobbies[]" value="Lugemine">Lugemine <br>
        <input type="checkbox" name="hobbies[]" value="Joonistamine">Joonistamine <br>
        Külastatud riikide arv: <input type="number" name="numberOfVisitedCountries" required min="1" max="200" pattern="^\d\d\d$"> <br>
        Foto: <input type="file" name="photo">
        <br><br>
        <button type="submit">Saada andmed</button>
    </form>
</body>
</html>